/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * フィールド構造を保持します。
 */
package blanco.fixedlength.valueobject;

/**
 * フィールド構造を保持します。
 */
public class BlancoFixedLengthFieldStructure {
    /**
     * フィールド [no]
     *
     * 項目の型 [java.lang.String]<br>
     * 行番号。
     */
    private String fNo;

    /**
     * フィールド [name]
     *
     * 項目の型 [java.lang.String]<br>
     * フィールド名。
     */
    private String fName;

    /**
     * フィールド [type]
     *
     * 項目の型 [java.lang.String]<br>
     * フィールドの型。
     */
    private String fType;

    /**
     * フィールド [description]
     *
     * 項目の型 [java.lang.String]<br>
     * フィールドの説明。
     */
    private String fDescription;

    /**
     * フィールド [length]
     *
     * 項目の型 [java.lang.String]<br>
     * フィールド長。
     */
    private String fLength;

    /**
     * フィールド [default]
     *
     * 項目の型 [java.lang.String]<br>
     * デフォルト値。
     */
    private String fDefault;

    /**
     * フィールド [format]
     *
     * 項目の型 [java.lang.String]<br>
     * フォーマット(形式)
     */
    private String fFormat;

    /**
     * フィールド [no]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 行番号。
     *
     * @param argNo フィールド[no]に格納したい値
     */
    public void setNo(final String argNo) {
        fNo = argNo;
    }

    /**
     * フィールド[no]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 行番号。
     *
     * @return フィールド[no]に格納されている値
     */
    public String getNo() {
        return fNo;
    }

    /**
     * フィールド [name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フィールド名。
     *
     * @param argName フィールド[name]に格納したい値
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド[name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フィールド名。
     *
     * @return フィールド[name]に格納されている値
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [type]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フィールドの型。
     *
     * @param argType フィールド[type]に格納したい値
     */
    public void setType(final String argType) {
        fType = argType;
    }

    /**
     * フィールド[type]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フィールドの型。
     *
     * @return フィールド[type]に格納されている値
     */
    public String getType() {
        return fType;
    }

    /**
     * フィールド [description]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フィールドの説明。
     *
     * @param argDescription フィールド[description]に格納したい値
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド[description]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フィールドの説明。
     *
     * @return フィールド[description]に格納されている値
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * フィールド [length]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フィールド長。
     *
     * @param argLength フィールド[length]に格納したい値
     */
    public void setLength(final String argLength) {
        fLength = argLength;
    }

    /**
     * フィールド[length]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フィールド長。
     *
     * @return フィールド[length]に格納されている値
     */
    public String getLength() {
        return fLength;
    }

    /**
     * フィールド [default]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * デフォルト値。
     *
     * @param argDefault フィールド[default]に格納したい値
     */
    public void setDefault(final String argDefault) {
        fDefault = argDefault;
    }

    /**
     * フィールド[default]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * デフォルト値。
     *
     * @return フィールド[default]に格納されている値
     */
    public String getDefault() {
        return fDefault;
    }

    /**
     * フィールド [format]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フォーマット(形式)
     *
     * @param argFormat フィールド[format]に格納したい値
     */
    public void setFormat(final String argFormat) {
        fFormat = argFormat;
    }

    /**
     * フィールド[format]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フォーマット(形式)
     *
     * @return フィールド[format]に格納されている値
     */
    public String getFormat() {
        return fFormat;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.fixedlength.valueobject.BlancoFixedLengthFieldStructure[");
        buf.append("no=" + fNo);
        buf.append(",name=" + fName);
        buf.append(",type=" + fType);
        buf.append(",description=" + fDescription);
        buf.append(",length=" + fLength);
        buf.append(",default=" + fDefault);
        buf.append(",format=" + fFormat);
        buf.append("]");
        return buf.toString();
    }
}
